Supporting labelling of 3D point layers
Status: Closed

Priority: Low

Assignee: Gary Sherman

Category:

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 10511

Description

I'm having problems labeling a shapefile exported by [[ArcGIS]]. It's a simple Pointshape with a few attributes (the attributetable is shown

corectly by QGIS). But I can't activate labeling my points with one of those attributes. Well I can activate it but it doesn't show any labels.

The points itself are displayed without problems.

The Shapefile (zipped - 32KB) can be downloaded for testing (http://www.marcolechner.de/20061119.zip ).

Marco

P.S. tried it with 0.7.4 (stable) and 0.8.0p2 0.8.0p3 on Win32 -ArcGIS shows them without problems (normally this happens the other way

round)

---------------------------------

Marco Lechner

History

#1 - 2006-12-13 10:36 AM - Gavin Macaulay -

Seems to be a problem with that particular shapefile. Every other shapefile that I've tested works fine. Qgis prints an error:

Unknown geometry type of -2147483647

for each point that it tries, but fails, to label.

#2 - 2006-12-13 09:39 PM - Gary Sherman

Unknown geometry type of -2147483647 means that QGIS doesn't understand the geometry type and doesn't know how to process it. Ogr2ogr reveals:

INFO: Open of @/Volumes/disk0s5/downloads/20061119 Folder/20061119.shp'

using driver @ESRI Shapefile' successful.

Layer name: 20061119

Geometry: 3D Point

Feature Count: 716

3D points are not supported as a layer type. This will be addressed at 0.9 or the next point release.

#3 - 2007-03-10 02:37 AM - Marco Hugentobler
http://www.marcolechner.de/20061119.zip


- Resolution set to fixed

- Status changed from Open to Closed

This works now in svn head (0.9). 2.5D types are fully supported.

Marco

#4 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted

2024-04-27 2/2


